package com.prolog.cs.biz.inbound.service.failure;

import com.prolog.cs.biz.inbound.dto.failure.RcvErrorDTO;
import com.prolog.cs.biz.inbound.dto.failure.RcvErrorQueryVO;
import com.prolog.cs.biz.inbound.model.failure.InReceivingAbnormalD;
import com.prolog.cs.biz.inbound.model.failure.InReceivingAbnormalH;
import com.prolog.framework.core.pojo.Page;

import java.util.List;

public interface InReceivingAbnormalHService {

	Object addWithRelated(RcvErrorDTO rcvErrorDTO);

	Object delWithRelated(RcvErrorQueryVO queryVO);

	Object editWithRelated(RcvErrorDTO rcvErrorDTO);

	Page<InReceivingAbnormalH> page(RcvErrorQueryVO queryVO);

	List<InReceivingAbnormalH> findAll(RcvErrorQueryVO queryVO);

	RcvErrorDTO findOne(String id);

	Object callToOms(RcvErrorQueryVO queryVO);

	List<InReceivingAbnormalD> getDetails(String id);
}
